Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.uat.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"f935f7da-ebfb-4283-afdc-fbf83b6e5700","url":null,"userId":"4898c436-72d2-4c4e-8383-34d6b98a5ee5","userUrl":null,"parentCommentId":"1051f7c0-c8a2-4954-9a81-2bb930d28943","parentCommentUrl":null,"creationDateTime":"2026-10-26T06:17:02.5629635+00:00","lastModifiedDateTime":"2026-10-26T10:17:02.5629635+00:00","medias":[{"id":"97b5bcee-f70b-45d4-813e-819f3ab09c50","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"0baa194b-d6ad-440d-99fb-9ce589e2f59b","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"efdfea6d-4f1f-4a97-b640-e080ca1cad63","url":null,"userId":"2f361bc3-5e8f-45d1-99c5-bf689779a48e","userUrl":null,"parentCommentId":"01f356ab-5437-4b7e-8ee1-4b945614f26e","parentCommentUrl":null,"creationDateTime":"2026-10-26T05:17:02.5629635+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"7804c1cf-5ce4-4574-8e25-436dfef908b2","url":null},{"type":"Department","name":null,"id":"f4a67ba5-d208-4622-9ee1-5fedab9f374c","url":null},{"type":"User group","name":null,"id":"e36663b2-3817-4499-827a-753c0a0ca33d","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string